%define lname	inotifytools

%define major	0
%define libname	%mklibname %lname %major
%define devname	%mklibname %lname -d

Summary:	Simple interface to inotify
Name:		inotify-tools
Version:	3.20.11.0
Release:	%mkrel 1
URL:		https://github.com/rvoicilas/inotify-tools/wiki
Source0:	https://github.com/rvoicilas/inotify-tools/archive/%{version}/%{name}-%{version}.tar.gz
License:	GPLv2+
Group:		File tools
BuildRequires:	doxygen

%description
This is a package of some commandline utilities relating to inotify.

The general purpose of this package is to allow inotify's features
to be used from within shell scripts.  Read the man pages for
further details.

%package -n	%{libname}
Summary:	Inotify interface library
Group:		System/Libraries

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with libinotifytools.

%package -n	%{devname}
Summary:	Development files for inotifytools
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{lname}-devel = %{version}-%{release}

%description -n	%{devname}
Development files for inotifytools.

%prep
%autosetup

cp README.md README

%build
# fix build on aarch64
autoreconf -vfi

%configure \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

mv %{buildroot}%{_docdir}/%{name} api

%files
%doc README
%{_bindir}/inotifywait
%{_bindir}/inotifywatch
%{_mandir}/man1/inotifywait.1*
%{_mandir}/man1/inotifywatch.1*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%doc AUTHORS ChangeLog NEWS api
%{_includedir}/inotifytools/
%{_libdir}/*.so


%changelog
* Sun Nov 22 2020 kekepower <kekepower> 3.20.11.0-1.mga8
+ Revision: 1648578
- Update to version 3.20.11.0

* Thu Feb 20 2020 umeabot <umeabot> 3.20.2.2-2.mga8
+ Revision: 1546345
- Mageia 8 Mass Rebuild

* Sun Feb 02 2020 kekepower <kekepower> 3.20.2.2-1.mga8
+ Revision: 1486398
- Update to version 3.20.2.2

* Fri Jan 31 2020 kekepower <kekepower> 3.20.2.1-1.mga8
+ Revision: 1486060
- Update to version 3.20.2.1

* Fri Jan 31 2020 kekepower <kekepower> 3.20.2-1.mga8
+ Revision: 1486059
- Update to version 3.20.2
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Jan 01 2019 kekepower <kekepower> 3.20.1-1.mga7
+ Revision: 1347790
- Update License
- Update to version 3.20.1
- Update URL and Source links

* Sun Sep 23 2018 umeabot <umeabot> 3.14-8.mga7
+ Revision: 1298302
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 wally <wally> 3.14-7.mga7
+ Revision: 1238778
- fix build on aarch64
- disable static build and drop .la files

* Tue Feb 02 2016 umeabot <umeabot> 3.14-6.mga6
+ Revision: 931674
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.14-5.mga5
+ Revision: 745287
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.14-4.mga5
+ Revision: 680522
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.14-3.mga4
+ Revision: 506087
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.14-2.mga3
+ Revision: 354413
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 16 2011 anssi <anssi> 3.14-1.mga1
+ Revision: 20146
- new version
- remove old scripts
- fix license tag to adhere to policy
- imported package inotify-tools

